Update event
curl --request PATCH \
--url https://api.notifique.dev/v1/events/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"schemaJson": {}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', schemaJson: {}})
};
fetch('https://api.notifique.dev/v1/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/events/{eventId}"
payload = {
"name": "<string>",
"schemaJson": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/events/{eventId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"schemaJson\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"schemaJson": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
}Eventos
Update event
Change an event name or settings.
PATCH
/
v1
/
events
/
{eventId}
Update event
curl --request PATCH \
--url https://api.notifique.dev/v1/events/{eventId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"schemaJson": {}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', schemaJson: {}})
};
fetch('https://api.notifique.dev/v1/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/events/{eventId}"
payload = {
"name": "<string>",
"schemaJson": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/events/{eventId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"schemaJson\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"schemaJson": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
}Authorizations
ntfAutoBearerAuthntfAutoApiKeyHeader
Authorization: Bearer sk_live_...
Path Parameters
Cuid do registro AutomationEvent.
Body
application/json
Was this page helpful?
⌘I

